Subject: RE: [IPTEL] Proposed resolution of CPL time-switch issue

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 25 Sep 2000 10:31:43 -0400

> -----Original Message-----
> From: Jonathan Lennox [mailto:[email-masked]]
> Sent: Friday, September 22, 2000 9:48 AM
> To: Emmanuel Bertrand
> Cc: Jonathan Rosenberg; 'Henning Schulzrinne';
> [email-masked]'; David Bertrand; dENIS Vandersteene
> Subject: Re: [IPTEL] Proposed resolution of CPL time-switch issue
> 
> 
> On Thursday, September 21 2000, "Emmanuel Bertrand" wrote to 
> "Jonathan Rosenberg, 'Jonathan Lennox', 'Henning 
> Schulzrinne', [email-masked]', David Bertrand, 
> dENIS Vandersteene" saying:
> 
> > Hi,
> > 
> > I hope it's not too late to post on this thread.
> > 
> > Here at Indigo we have implemented both crontab and iCal.  
> Beside finding iCal
> > more powerful and flexible than crontab, we also found it 
> easier to have it
> > turned into a GUI and to retrieve calendar information from popular
> > applications.
> > 
> > In our iCal implementation, on the server side we have used 
> an algorithm quite
> > similar to Jonathan's (Lennox) one to avoid computing 
> overhead.   The algorithm
> > is not designed to particular iCal subsets and works pretty well.
> 
> When you say "not designed to particular iCal subsets", do 
> you mean that it
> supports the entire iCal specification -- including expanding 
> by-rules,
> 'count', 'bysetpos', and arbitrary-length durations -- in 
> such a way that
> you can make the decision in constant-time, without 
> enumerating the set?

That would be something, but I doubt its possible.

> 
> If so, could you post at least rough pseudocode for this?  
> That'll make a
> big difference to how we end up resolving this issue.

> 
> (My current incination: if we can manage the whole of iCal in 
> constant time,
> stick with it and add an appendix describing our algorithm; 
> otherwise, go
> with JR's suggestion to revert to crontab, and define 
> ical-switch as an
> extension.)

Agreed.

Time is running short though. I have committed to finished CPL *before* the
next meeting. This is one of the major issues left to resolve. 

If pseudocode demonstrating the feasibility of doing all of ical in O(1)
cannot be demonstrated on the list by THURSDAY, we will proceed with crontab
and consider this issue closed.

-Jonathan R.
---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel